### Function

# GioUnix DesktopAppInfo set_desktop_env

deprecated: 2.42

#### Declaration [src]

    void
    g_desktop_app_info_set_desktop_env (
      const char* desktop_env
    )

#### Description [src]

Sets the name of the desktop that the application is running in.

This is used by `g_app_info_should_show()` and `g_desktop_app_info_get_show_in()` to evaluate the `OnlyShowIn` and `NotShowIn` keys.

Should be called only once; subsequent calls are ignored.

Deprecated since: 2.42

Do not use this API. Since 2.42 the value of the `XDG_CURRENT_DESKTOP` environment variable will be used.

#### Parameters

`desktop_env`

  Type: `const char*`

  A string specifying what desktop this is.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.